Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Accept call

client.realtime.calls.accept(callID, body, options?): void
POST
/realtime/calls/{call_id}/accept

Accept an incoming SIP call and configure the realtime session that will handle it.

Parameters
callID: string
body: CallAcceptParams { type, audio, include, 11 more }

Accept call

import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

await client.realtime.calls.accept('call_id', { type: 'realtime' });
Returns Examples